<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

// Главная страница
Route::view('/', 'index');

use App\Http\Controllers;

// Книги
Route::get('/books', [Controllers\BookController::class, 'index']);
Route::get('/book/add', [Controllers\BookController::class, 'add']);
Route::get('/book/{book}', [Controllers\BookController::class, 'view']);
Route::get('/book/{book}/delete', [Controllers\BookController::class, 'drop']);
Route::get('/book/{book}/edit', [Controllers\BookController::class, 'edit']);
Route::post('/book/{book}/edit', [Controllers\BookController::class, 'store']);
Route::post('/book/add', [Controllers\BookController::class, 'store']);

// Авторы
Route::get('/authors', [Controllers\AuthorController::class, 'index']);
Route::get('/author/add', [Controllers\AuthorController::class, 'add']);
Route::get('/author/{author}', [Controllers\AuthorController::class, 'view']);
Route::get('/author/{author}/delete', [Controllers\AuthorController::class, 'drop']);
Route::get('/author/{author}/edit', [Controllers\AuthorController::class, 'edit']);
Route::post('/author/{author}/edit', [Controllers\AuthorController::class, 'store']);
Route::post('/author/add', [Controllers\AuthorController::class, 'store']);
